table:
  namespace: "Molecules/HTML"
  use: "@molecules/html/table/table.twig"
  label: Table
  description: Component for displaying rich text, for example from a WYSIWYG editor. Check https://github.com/tailwindlabs/tailwindcss-typography for more informations.
  fields:
    headers:
      type: object
      label: Items
      preview:
        - "Staffing level"
        - "CCTV"
        - "Information systems"
    rows:
      type: object
      label: Items
      preview:
        -
          - "123"
          - "Yes"
          - "A, B, C"
        -
          - "789"
          - "No"
          - "C, D"
        -
          - "9"
          - "No"
          - "Z"
        -
          - "34"
          - "Yes"
          - "X, Y"



  settings:
    wrapper_attr:
      type: attributes
      label: Table Attributes
      description: An attributes object from a parent template.
    table_class:
      type: textfield
      label: Table classes
      description: A class sting
    with_headers:
      type: boolean
      label: Headers top
      preview: true
      default: true
    table_wrapper_class:
      type: textfield
      label: Table wrapper
      description: A class sting
    table_striped:
      type: boolean
      label: Striped
      preview: false
      default: false
    table_bordered:
      type: boolean
      label: Bordered
      preview: false
      default: false
    table_hover:
      type: boolean
      label: Hover
      preview: false
      default: false
    table_responsive:
      type: boolean
      label: Responsive
      preview: true
      default: true
    table_responsive_size:
      type: select
      label: Responsive size
      preview: md
      default: md
      options:
        md: MD
        sm: SM
        lg: LG
        xl: XL
